Skip to main content

GG

The GG payment method is processed through direct payment requests. The payment creation request must contain the following parameters:

ParameterTypeRequiredDescription
pos_idUUIDMerchant's identifier (POS_ID)
modeMODEdirect or hosted
methodMETHODPayment method (purchase)
amountNumberTransaction amount. Must be a positive number
currencyCURRENCYTransaction currency (ISO_4217)
order_3ds_bypassString3-D Secure flow option
order_idStringUnique identifier of order
descriptionStringPayment description
paywayStringwallet
customer_emailStringCustomer's email
customer_phoneStringCustomer's phone
properties.instrument_typeStringInstrument type (wallet)
server_urlURLWebhook notification will be sent to this URL
result_urlURLCustomer will be redirected to this URL after payment

Request example:

$ curl -i "https://api.wbsettle.com/api/v1/payment" \
-H "Content-Type: application/json" \
-H "X-API-AUTH: CPAY-HMAC-SHA1 ${API_KEY}:${SIGNATURE}" \
-H "X-API-KEY: ${ENDPOINTS_KEY}" \
-X POST -d '{
"pos_id": "00000000-0000-0000-0000-000000000000",
"mode": "direct",
"amount": 500,
"method": "purchase",
"currency": "UAH",
"payway": "wallet",
"properties": {
"instrument_type": "wallet"
},
"order_3ds_bypass": "supported",
"description": "Description",
"order_id": "123456789",
"customer_phone": "+380991234567",
"customer_email": "mail@mail.com",
"server_url": "https://callback.blackhole.com/callback",
"result_url": "https://example.com/result"
}'

Successful response with 303 HTTP status has a Location header where a customer should be redirected to proceed with payment.

Response example:

HTTP/2 303
# .. other headers
Location: https://api.wbsettle.com/api/v1/checkout/1b806782-3d97-4444-abb9-6e4b45d34663/form

Please inform WhiteBoot Support if you would like to use this payment method.